{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        storeConfig:{
            //Client:{routeName:'BaseController-getComboValues',table:'clients'}
            //,ClientG:{routeName:'BaseController-getComboValues',table:'clients'}
            //,Employee:{routeName:'Employee-showall',table:'employees',modulename:'Employee'}
            //,Employee:{routeName:'Employee-getComboValues',table:'employees',modulename:'Employee',fieldId:'code',fieldDisplay:'name'}
            //,EmployeeG:{routeName:'Employee-getComboValues',table:'employees',modulename:'Employee',fieldId:'code',fieldDisplay:'name'}
            //,JobRotation:{routeName:'JobRotation-getComboValues',table:'job_rotations'}
            //,JobRotationG:{routeName:'JobRotation-getComboValues',table:'job_rotations'}
            ProductTree:{routeName:'ProductTree-getComboValues-special',table:'product_trees',fieldDisplay:'name',options:{where:'O',finish:null}}
            //,ProductTreeG:{routeName:'ProductTree-getComboValues-special',table:'product_trees',fieldDisplay:'name',options:{where:'O',finish:null}}
            //,JobRotationTeam:{routeName:'JobRotationTeam-getComboValues',table:'job_rotation_teams'}
            //,JobRotationTeamG:{routeName:'JobRotationTeam-getComboValues',table:'job_rotation_teams'}
        },
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
            t.stores.tip=new mj.store({
                data:[{id:'İstasyon',code:'İstasyon'},{id:'Operatör',code:'Operatör'}]
            });
            const gridConfig = {
                cm: [
                    {header: "{{ 'ClientProductionDetail.tip'|trans }}", dataIndex: 'tip',width: 60,alias:'cpd'},
                    {header: "{{ 'ClientProductionDetail.client'|trans }}", dataIndex: 'client',width: 80,filter:'single',alias:'cpd',type:'combo',store:t.extras.clients,operator:'='},
                    {header: "{{ 'ClientProductionDetail.day'|trans }}", dataIndex: 'day', width: 70,filter:'between',alias:'cpd'},
                    {header: "{{ 'ClientProductionDetail.jobrotation'|trans }}", dataIndex: 'jobrotation', width: 80,filter:'single',type:'combo',store:t.extras.job_rotations,alias:'cpd',operator:'='},
                    //{header: "{{ 'ClientProductionDetail.week'|trans }}", dataIndex: 'week', width: 50,filter:'single',alias:'cpd',operator:'='},
                    //{header: "{{ 'ClientProductionDetail.jobrotationteam'|trans }}", dataIndex: 'jobrotationteam', width: 140,filter:'single', type:'combo',store:t.stores.JobRotationTeamG,alias:'cpd',operator:'='},
                    {header: "{{ 'ClientProductionDetail.employee'|trans }}", dataIndex: 'employee', width: 140,filter:'single', type:'combo',store:t.extras.employees,alias:'cpd',operator:'='},
                    {header: "{{ 'ClientProductionDetail.opname'|trans }}", dataIndex: 'opname', width: 120,alias:'cpd',filter:'single',operator:'%.%'},
                    {header: "{{ 'ClientProductionDetail.start'|trans }}", dataIndex: 'start', width: 120,alias:'cpd',filter:'between'},
                    {header: "{{ 'ClientProductionDetail.finish'|trans }}", dataIndex: 'finish', width: 120,alias:'cpd',filter:'between'},
                    {header: "{{ 'ClientProductionDetail.suredk'|trans }}", dataIndex: 'suredk', width: 60,alias:'cpd',filter:'between', align:'right'},
                    {header: "{{ 'ClientProductionDetail.productioncurrent'|trans }}", dataIndex: 'productioncurrent', width: 120,alias:'cpd', align:'right'}
                    //{header: "{{ 'ClientProductionDetail.ismandatory'|trans }}", dataIndex: 'ismandatory', width: 50,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'cpd'},
                    //{header: "{{ 'ClientProductionDetail.isrework'|trans }}", dataIndex: 'isrework', width: 50,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'cpd'}
                   // {header: "{{ 'ClientProductionDetail.issystem'|trans }}", dataIndex: 'issystem', width: 50,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'cpd'}
                ]
                ,pbar : new mj.pager({defaultButtons:true,elements: {first:true,prev:true,pages:true,next:true,last:true,selectLimit:true,refresh:false}, limit:10})
            };

            t._setGridConfig(gridConfig);

            const formConfig= {
                items: [
                    new mj.form.fieldSet({
                        id : 'f1',
                        title : '&nbsp;',
                        labelWidth : '110px',
                        width : 220,
                        height : 320,
                        items : [
                            new mj.form.field({
                                dataIndex: 'id',
                                hidden: true
                            }),
                            new mj.form.field({
                                dataIndex: 'version',
                                hidden: true
                            }),
                            //new mj.form.field({
                            //    dataIndex: 'cld_id',
                            //    hidden: true
                            //}),
                            //new mj.form.triggerField({
                            //    triggerClass:'trigger-field',
                            //    title : "{{ 'ClientProductionDetail.client'|trans }}",
                            //    dataIndex : 'client',
                            //    labelWidth : '70px',
                            //    itemStyle : 'padding-top:5px;',
                            //    width : 140,
                            //    notEmpty : true,
                            //    handler : function(){
                            //        if(!t.win_trigger_station){
                            //            t.win_trigger_station = new mj.window({
                            //                renderTo : mj.NE(),
                            //                title : "{{ 'ClientProductionDetail.client'|trans }}",
                            //                modal : true,
                            //                width : 700,
                            //                height : 400,
                            //                minWidth : 700,
                            //                minHeight : 400,
                            //                buttons : [
                            //                    {alt: mj.lng.glb.exit,iconCls:'mj-menu-exit-icon', handler:function(){t.win_trigger_station.hide();}},
                            //                    {alt: mj.lng.glb.list,iconCls:'mj-list', handler:function(){
                            //                        this.setDisable();
                            //                        var _routeName = 'ClientProductionDetail-getallrecords-lost';
                            //                        var _route = Routing.getRoute(_routeName);
                            //                        var _data = {
                            //                            'pg': 1,
                            //                            'lm': t.recordsperpage,
                            //                            'table': 'client_lost_details'
                            //                        };
                            //                        t.stores.triggerstation.filters=[
                            //                            {alias:"cld",fieldname:"client",operator:"=",value:t.forms.triggerstation.items[0].getValue()}
                            //                            ,{alias:"cld",fieldname:"day",operator:"between",value:t.forms.triggerstation.items[1].getValue()+'|'+t.forms.triggerstation.items[2].getValue()}
                            //                        ];
                            //                        _data.filters=t.stores.triggerstation.filters;
                            //                        var _url = Routing.generate(_routeName, _data);
                            //                        t.stores.triggerstation.url=_url;
                            //                        t.stores.triggerstation.routedata=_data;
                            //                        t.win_trigger_tabs.main.grid.activate();
                            //                        t.grids.triggerstation.load();
                            //                    }}
                            //                ]
                            //            });
                            //            t.win.addRelated(t.win_trigger_station);
                            //            t.win_trigger_tabPanels = {};
                            //            t.win_trigger_tabPanels.main = new mj.tab({
                            //                renderTo: t.win_trigger_station.getBody(),
                            //                activeTab: 0,
                            //                border: false,
                            //                hideHeader: true,
                            //                items: [{
                            //                    closable: false
                            //                }, {
                            //                    closable: false
                            //                }]
                            //            });
                            //            //t.win_trigger_tabPanels.main.on('tabchange', t._onParentTabChange, t);
//
                            //            t.win_trigger_tabs = {};
                            //            t.win_trigger_tabs.main = {
                            //                form: t.win_trigger_tabPanels.main.tabs[0],
                            //                grid: t.win_trigger_tabPanels.main.tabs[1]
                            //            };
//
                            //            t.forms.triggerstation = new mj.form({
                            //                renderTo : t.win_trigger_tabs.main.form.getBody(),
                            //                store : new mj.store({}),
                            //                buttonPos:false,
                            //                items: [
                            //                    new mj.form.combo({
                            //                        title: "{{ 'ClientProductionDetail.client'|trans }}",
                            //                        placeHolder: "{{ 'ClientProductionDetail.client_placeholder'|trans }}",
                            //                        dataIndex: 'client',
                            //                        mode: 'remote',
                            //                        clearOnTriggerClick: true,
                            //                        labelWidth : '80px',
                            //                        grid: 's6 m4',
                            //                        store: t.stores.Client
                            //                    }),
                            //                    new mj.form.dateField({
                            //                        title: "{{ 'ClientProductionDetail.start'|trans }}",
                            //                        dataIndex: 'start_d',
                            //                        labelWidth : '80px',
                            //                        notEmpty: true,
                            //                        width:80,
                            //                        //maxLength: 19,
                            //                        grid: 's4 m2'
                            //                    }),
                            //                    new mj.form.dateField({
                            //                        title: "{{ 'ClientProductionDetail.finish'|trans }}",
                            //                        dataIndex: 'finish_d',
                            //                        labelWidth : '80px',
                            //                        width:80,
                            //                        //maxLength: 19,
                            //                        grid: 's4 m2'
                            //                    })
                            //                ]
                            //            });
                            //            t.stores.triggerstation=new mj.store({
                            //                method: 'GET',
                            //                modulename: 'ClientProductionDetail',
                            //                routename: 'ClientProductionDetail-getallrecords-lost'
                            //            });
                            //            t.grids.triggerstation = new mj.grid({
                            //                renderTo : t.win_trigger_tabs.main.grid.getBody(),
                            //                store : t.stores.triggerstation,
                            //                pbar : new mj.pager({beforePageText: false,limit: 10}),
                            //                fitToParent : true,
                            //                sortable : false,
                            //                cm : [
                            //                    {header: "{{ 'ClientProductionDetail.client'|trans }}", dataIndex: 'client', width: 100},
                            //                    {header: "{{ 'ClientProductionDetail.day'|trans }}", dataIndex: 'day', width: 90},
                            //                    {header: "{{ 'ClientProductionDetail.losttype'|trans }}", dataIndex: 'losttype', width: 200},
                            //                    {header: "{{ 'ClientProductionDetail.start'|trans }}", dataIndex: 'start', width: 120},
                            //                    {header: "{{ 'ClientProductionDetail.finish'|trans }}", dataIndex: 'finish', width: 120},
                            //                    {header: '', width: 1, hide : true}
                            //                ]
                            //            });
                            //            t.grids.triggerstation.on('rowdblclick', function(){
                            //                if(t.grids && t.grids.triggerstation && t.grids.triggerstation.selectedRow){
                            //                    var selectedRow=t.grids.triggerstation.selectedRow.data;
                            //                    t.forms.main.items[5].setValue(selectedRow.id);
                            //                    t.forms.main.items[6].setValue(selectedRow.client);
                            //                    t.forms.main.items[6].value=selectedRow.client;
                            //                    t.forms.main.items[7].setValue(selectedRow.start);
                            //                    t.forms.main.items[8].setValue(selectedRow.finish);
                            //                    t.forms.main.items[9].setValue(selectedRow.day);
                            //                    t.forms.main.items[10].setValue(selectedRow.jobrotation);
                            //                    t.win_trigger_station.hide();
                            //                }
                            //            }, t);
                            //        }
                            //        t.win_trigger_tabs.main.form.activate();
                            //        t.win_trigger_station.buttons[1].setEnable();
                            //        t.win_trigger_station.show();
                            //    }
                            //}),
                            //new mj.form.textField({
                            //    title: "{{ 'ClientProductionDetail.start'|trans }}",
                            //    dataIndex: 'cld_start',
                            //    //maxLength: 50,
                            //    labelWidth : '70px',
                            //    width:140,
                            //    grid: 's4 m2',
                            //    disabled:true
                            //}),
                            //new mj.form.textField({
                            //    title: "{{ 'ClientProductionDetail.finish'|trans }}",
                            //    dataIndex: 'cld_finish',
                            //    maxLength: 50,
                            //    labelWidth : '70px',
                            //    width:140,
                            //    grid: 's4 m2',
                            //    disabled:true
                            //}),
                            new mj.form.combo({
                                title: "{{ 'ClientProductionDetail.tip'|trans }}",
                                placeHolder: "{{ 'ClientProductionDetail.tip_placeholder'|trans }}",
                                dataIndex: 'tip',
                                mode: 'local',
                                clearOnTriggerClick: true,
                                labelWidth : '70px',
                                grid: 's6 m4',
                                store: t.stores.tip,
                                width:130
                            }),
                            new mj.form.combo({
                                title: "{{ 'ClientProductionDetail.client'|trans }}",
                                placeHolder: "{{ 'ClientProductionDetail.client_placeholder'|trans }}",
                                dataIndex: 'client',
                                mode: 'local',
                                clearOnTriggerClick: true,
                                labelWidth : '70px',
                                grid: 's6 m4',
                                store: t.extras.clients,
                                width:130
                            }),
                            new mj.form.dateField({
                                title: "{{ 'ClientProductionDetail.day'|trans }}",
                                dataIndex: 'day',
                                labelWidth : '70px',
                                notEmpty: true,
                                width:80,
                                grid: 's4 m2'
                            }),
                            new mj.form.combo({
                                title: "{{ 'ClientProductionDetail.jobrotation'|trans }}",
                                placeHolder: "{{ 'ClientProductionDetail.jobrotation_placeholder'|trans }}",
                                dataIndex: 'jobrotation',
                                mode: 'local',
                                clearOnTriggerClick: true,
                                labelWidth : '70px',
                                grid: 's6 m4',
                                store: t.extras.job_rotations,
                                width:130
                            }),
                            new mj.form.dateField({
                                title: "{{ 'ClientProductionDetail.start'|trans }}",
                                dataIndex: 'start_d',
                                labelWidth : '70px',
                                notEmpty: true,
                                width:80,
                                //maxLength: 19,
                                grid: 's4 m2'
                            }),
                            new mj.form.timeField2({
                                title: "",
                                dataIndex: 'start_t',
                                notEmpty: true,
                                labelWidth : '10px',
                                grid: 's12 m6',
                                width:50,
                                right:true
                            }),
                            new mj.form.dateField({
                                title: "{{ 'ClientProductionDetail.finish'|trans }}",
                                dataIndex: 'finish_d',
                                labelWidth : '70px',
                                width:80,
                                //maxLength: 19,
                                grid: 's4 m2'
                            }),
                            new mj.form.timeField2({
                                title: "",
                                dataIndex: 'finish_t',
                                notEmpty: true,
                                labelWidth : '10px',
                                grid: 's12 m6',
                                width:50,
                                right:true
                            }),
                            new mj.form.textArea({
                                title : "{{ 'ClientProductionDetail.taskfinishdescription'|trans }}",
                                dataIndex : 'taskfinishdescription',
                                labelWidth : '120px',
                                width:210,
                                height:80,
                                maxLength: 255
                            }),
                            new mj.form.checkBox({
                                title: "{{ 'ClientProductionDetail.calculate'|trans }}",
                                dataIndex: 'calculate',
                                itemStyle: 'padding:0 35px 0 0;float:left;',
                                labelWidth : '110px',
                                grid: 'none'
                            })
                        ]
                    }),
                    new mj.form.fieldSet({
                        id : 'f2',
                        title : "{{ 'ClientProductionDetail.opnames'|trans }}",
                        labelWidth : '110px',
                        width : 350,
                        height : 320,
                        style : 'position:absolute;top:0px;left:260px;',
                        items : [

                        ]
                    }),
                    new mj.form.fieldSet({
                        id : 'f3',
                        title : "{{ 'ClientProductionDetail.employees'|trans }}",
                        labelWidth : '110px',
                        width : 300,
                        height : 320,
                        style : 'position:absolute;top:0px;left:645px;',
                        items : [

                        ]
                    })
                ]
            };
            t._setFormConfig(formConfig);
            var cnt_productions_grid=mj.NE(t.forms.main.items[1].innerEl, {style:'position:absolute;border:1px solid #AFB5AB;left:10px;top:20px;right:10px;bottom:10px;'});
            t.grids.productions = new mj.grid({
                renderTo : cnt_productions_grid,
                store : [],
                pbar : new mj.pager({defaultButtons:false,elements: {selectLimit:false}, limit:null}),
                fitToParent : true,
                sortable : false,
                cm : [
                    {header: "{{ 'ClientProductionDetail.erprefnumber'|trans }}", dataIndex: 'erprefnumber', width: 70},
                    {header: "{{ 'ClientProductionDetail.opname'|trans }}", dataIndex: 'opname', width: 200},
                    {header: "{{ 'ClientProductionDetail.productioncurrent'|trans }}", dataIndex: 'productioncurrent', width: 60, align:'right'},
                    {header: '', width: 1, hide : true}
                ]
            });
            t.buttons.addBtnproductions = t.grids.productions.pbar.tbar.addButton({id:'btnAddTable',alt:mj.lng.glb.add, iconCls : 'mj-add', handler : t.addproductions,scope:t});
            t.buttons.editBtnproductions = t.grids.productions.pbar.tbar.addButton({id:'btnEditTable',alt:mj.lng.glb.edit,iconCls :'mj-edit', disabled:true, handler:t.editproductions,scope:t});
            t.buttons.deleteBtnproductions = t.grids.productions.pbar.tbar.addButton({id:'btnDeleteTable',alt:mj.lng.glb.del, iconCls : 'mj-delete', disabled: true, handler:t.deleteproductions,scope:t});
            t.grids.productions.on('rowclick',function(g,s){
                t.buttons.editBtnproductions.setEnable();
                t.buttons.deleteBtnproductions.setEnable();
            },t.grids.productions);
            t.grids.productions.on('rowdblclick',function(g,s){
                this.handler.call(this.scope);
            },t.buttons.editBtnproductions);
            t.grids.productions.pbar.on('sourceload',function(){
                t.buttons.editBtnproductions.setDisable();
                t.buttons.deleteBtnproductions.setDisable();
                t.buttons.addBtnproductions.setEnable();
            },t.grids.productions);
            t.grids.productions.store.on('load',function(){
                t.buttons.editBtnproductions.setDisable();
                t.buttons.deleteBtnproductions.setDisable();
            },t.grids.productions);
            t.winAddproductions = new mj.window({
                renderTo : mj.NE(),
                title : "{{ 'ClientProductionDetail.opnames'|trans }}",
                modal : true,
                width : 400,
                height : 200,
                minWidth : 400,
                minHeight : 200,
                buttons : [
                    {alt: mj.lng.glb.exit,iconCls: 'mj-menu-exit-icon', handler:function(){t.winAddproductions.hide();}},
                    {alt: mj.lng.glb.save,iconCls: 'mj-save', handler:function(){
                        var d =  t.forms.productions.getValue();
                        var g=t.grids.productions;
                        if(t.productionsMode=='add'){
                            g.store.data.push(d);
                        }else{
                            g.store.data[g.selectedRow.index] = d;
                        }
                        g.load();
                        t.winAddproductions.hide();
                    }}
                ]
            });
            t.win.addRelated(t.winAddproductions);
            t.forms.productions = new mj.form({
                renderTo : t.winAddproductions.getBody(),
                store : new mj.store({}),
                buttonPos:false,
                items: [
                    new mj.form.textField({
                        title: "{{ 'ClientProductionDetail.erprefnumber'|trans }}",
                        dataIndex: 'erprefnumber',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:100,
                        grid: 's4 m2'
                    }),
                    new mj.form.combo({
                        title: "{{ 'ClientProductionDetail.opname'|trans }}",
                        placeHolder: "{{ 'ClientProductionDetail.opname_placeholder'|trans }}",
                        dataIndex: 'opname',
                        mode: 'remote',
                        clearOnTriggerClick: true,
                        labelWidth : '90px',
                        grid: 's6 m4',
                        width:250,
                        store: t.stores.ProductTree
                    }),
                    new mj.form.numberField({
                        title: "{{ 'ClientProductionDetail.productioncurrent'|trans }}",
                        dataIndex: 'productioncurrent',
                        maxLength: 5,
                        labelWidth : '90px',
                        notEmpty: true,
                        width:60,
                        grid: 's12 m6'
                    })
                ]
            });

            var cnt_employees_grid=mj.NE(t.forms.main.items[2].innerEl, {style:'position:absolute;border:1px solid #AFB5AB;left:10px;top:20px;right:10px;bottom:10px;'});
            t.grids.employees = new mj.grid({
                renderTo : cnt_employees_grid,
                store : [],
                pbar : new mj.pager({defaultButtons:false,elements: {selectLimit:false}, limit:null}),
                fitToParent : true,
                sortable : false,
                cm : [
                    {header: "{{ 'ClientProductionDetail.code'|trans }}", dataIndex: 'code', width: 80},
                    {header: "{{ 'ClientProductionDetail.employee'|trans }}", dataIndex: 'name', width: 200},
                    {header: '', width: 1, hide : true}
                ]
            });
            t.buttons.addBtnemployees = t.grids.employees.pbar.tbar.addButton({id:'btnAddTable',alt:mj.lng.glb.add, iconCls : 'mj-add', handler : t.addemployees,scope:t});
            t.buttons.editBtnemployees = t.grids.employees.pbar.tbar.addButton({id:'btnEditTable',alt:mj.lng.glb.edit,iconCls :'mj-edit', disabled:true, handler:t.editemployees,scope:t});
            t.buttons.deleteBtnemployees = t.grids.employees.pbar.tbar.addButton({id:'btnDeleteTable',alt:mj.lng.glb.del, iconCls : 'mj-delete', disabled: true, handler:t.deleteemployees,scope:t});
            t.grids.employees.on('rowclick',function(g,s){
                t.buttons.editBtnemployees.setEnable();
                t.buttons.deleteBtnemployees.setEnable();
            },t.grids.employees);
            t.grids.employees.on('rowdblclick',function(g,s){
                this.handler.call(this.scope);
            },t.buttons.editBtnemployees);
            t.grids.employees.pbar.on('sourceload',function(){
                t.buttons.editBtnemployees.setDisable();
                t.buttons.deleteBtnemployees.setDisable();
                t.buttons.addBtnemployees.setEnable();
            },t.grids.employees);
            t.grids.employees.store.on('load',function(){
                t.buttons.editBtnemployees.setDisable();
                t.buttons.deleteBtnemployees.setDisable();
            },t.grids.employees);
            t.winAddemployees = new mj.window({
                renderTo : mj.NE(),
                title : "{{ 'ClientProductionDetail.employees'|trans }}",
                modal : true,
                width : 400,
                height : 200,
                minWidth : 400,
                minHeight : 200,
                buttons : [
                    {alt: mj.lng.glb.exit,iconCls: 'mj-menu-exit-icon', handler:function(){t.winAddemployees.hide();}},
                    {alt: mj.lng.glb.save,iconCls: 'mj-save', handler:function(){
                        var d =  t.forms.employees.items[0].view.selected[0];
                        var data={code:d.id,name:d.value};
                        var g=t.grids.employees;
                        if(t.employeesMode=='add'){
                            g.store.data.push(data);
                        }else{
                            g.store.data[g.selectedRow.index] = data;
                        }
                        g.load();
                        t.winAddemployees.hide();
                    }}
                ]
            });
            t.win.addRelated(t.winAddemployees);
            t.forms.employees = new mj.form({
                renderTo : t.winAddemployees.getBody(),
                store : new mj.store({}),
                buttonPos:false,
                items: [
                    new mj.form.combo({
                        title: "{{ 'ClientProductionDetail.employee'|trans }}",
                        placeHolder: "{{ 'ClientProductionDetail.employee_placeholder'|trans }}",
                        dataIndex: 'employee',
                        mode: 'local',
                        clearOnTriggerClick: true,
                        labelWidth : '80px',
                        grid: 's6 m4',
                        width:250,
                        store: t.extras.employees
                    })
                ]
            });
        },
        addproductions : function(){
            var t=this;
            t.forms.productions.clear();
            t.productionsMode='add';
            t.winAddproductions.show();
        },
        editproductions : function(){
            var t = this;
            t.productionsMode='edit';
            t.forms.productions.store.data = t.grids.productions.selectedRow.data;
            t.forms.productions.load();
            t.winAddproductions.show();
        },
        deleteproductions : function(){
            var t = this;
            var g=t.grids.productions;
            new mj.message({
                title:mj.lng.glb.onay,
                modal : true,
                msg:mj.lng.glb.delQuestion,
                buttons:['NO','YES'],
                cb:function(el,btn){
                    if(btn=='YES'){
                        g.store.data.remove(g.store.data[g.selectedRow.index]);
                        g.load();
                    }
                    el.window.close();
                }
            });
        },
        addemployees : function(){
            var t=this;
            t.forms.employees.clear();
            t.employeesMode='add';
            t.winAddemployees.show();
        },
        editemployees : function(){
            var t = this;
            t.employeesMode='edit';
            t.forms.employees.store.data = t.grids.employees.selectedRow.data;
            t.forms.employees.load();
            t.winAddemployees.show();
        },
        deleteemployees : function(){
            var t = this;
            var g=t.grids.employees;
            new mj.message({
                title:mj.lng.glb.onay,
                modal : true,
                msg:mj.lng.glb.delQuestion,
                buttons:['NO','YES'],
                cb:function(el,btn){
                    if(btn=='YES'){
                        g.store.data.remove(g.store.data[g.selectedRow.index]);
                        g.load();
                    }
                    el.window.close();
                }
            });
        },
        _onButtonAddClick : function(){
            var t=this
            t.newRecord();
            t.clearProductions();
            t.clearEmployees();
        },
        editSelectedRecord: function() {
            var t=this
            t.clearProductions();
            t.clearEmployees();
            var selectedRecord = t.getSelectedRecord();
            if (selectedRecord !== false)
                t.editData(selectedRecord);
            //console.log(selectedRecord);
            if(selectedRecord.opnames){
                var productions=selectedRecord.opnames.split('|');
                var tmp=[];
                for(var i=0;i<productions.length;i++){
                    var item=productions[i].split('~');
                    if(tmp.indexOf(item[1])==-1){
                        tmp.push(item[1]);
                        t.grids.productions.store.data.push({erprefnumber:item[0],opname:item[1],productioncurrent:item[2]});
                    }
                }
                t.grids.productions.load();
            }
            if(selectedRecord.employees){
                var employees=selectedRecord.employees.split('|');
                var tmp=[];
                for(var i=0;i<employees.length;i++){
                    var item=employees[i].split('~');
                    if(tmp.indexOf(item[1])==-1){
                        tmp.push(item[1]);
                        t.grids.employees.store.data.push({code:item[0],name:item[1]});
                    }
                }
                t.grids.employees.load();
            }
        },
        clearProductions : function(){
            var t=this;
            t.grids.productions.store.data=[];
            t.grids.productions.load();
        },
        clearEmployees : function(){
            var t=this;
            t.grids.employees.store.data=[];
            t.grids.employees.load();
        },
        deleteRecord: function() {
            var t = this,
                _f = this.forms;
            var selectedRecord = t.getSelectedRecord();
            if (selectedRecord !== false) {
                mj.message({
                    title: mj.lng.glb.winTitleOnay,
                    modal : true,
                    msg: mj.lng.glb.delQuestion,
                    buttons:['NO','YES'],
                    cb:function(el,btn){
                        if(btn=='YES'){
                            var id = selectedRecord.id;
                            //var version = selectedRecord.version;
                            var routeName = t.modulename + '-del';
                            var route = Routing.getRoute(routeName);
                            var pagerParams = (t.grids && t.grids.main && t.grids.main.pbar) ? {
                                'pg': t.grids.main.pbar.current,
                                'lm': t.grids.main.pbar.limit
                            } : {};
                            var url = Routing.generate(routeName, id ? mj.apply(pagerParams, {
                                'id': id
                                //,'v': version
                            }) : pagerParams);
                            if (route && route.methods && route.methods.length>0 && route.methods[0]) {
                                t.waitMaskShow();
                                t._event='delete';
                                var data = {'menuId': t.id,record:selectedRecord};
                                $.ajax({
                                    url: url,
                                    method: "POST",
                                    headers: { 
                                        "Content-Type": "application/json",
                                        "X-HTTP-Method-Override": route.methods[0] 
                                    },
                                    dataType: 'json',
                                    data: JSON.stringify(data),
                                    success: function(data, textStatus, jqXHR) {
                                        t.reset(_f, data);
                                    },
                                    error: function(jqXHR, textStatus, errorThrown) {
                                        t.waitMaskHide();
                                        mj.message({
                                            title: mj.lng.glb.error,
                                            msg: jqXHR.responseJSON.message + "<br>" + jqXHR.responseJSON.file,
                                            type: "error",
                                            html: true
                                        });
                                    },
                                    complete: function(jqXHR, textStatus) {
                                        //t.waitMaskHide();
                                    }
                                });
                            }
                        }
                        el.window.close();
                    }
                });
            }
        },
        save: function() {
            var t = this,
                _f = this.forms,
                f = this.forms.main;
            t.trigger('beforesave');
            delete f.cachedItems['employee'];
            if (f.modulename && typeof Routing !== 'undefined') {
                    var data = f.getValue();
                    if(data.tip==null||data.tip==''){
                        t.messageShow(t,mj.lng.glb.error,"{{ 'ClientLostDetail.errTipNotSelected'|trans }}");
                        return;
                    }
                    if(data.client==null||data.client==''){
                        t.messageShow(t,mj.lng.glb.error,"{{ 'ClientProductionDetail.errnotfoundclient'|trans }}");
                        return;
                    }
                    if(data.day==null||data.day==''){
                        t.messageShow(t,mj.lng.glb.error,"{{ 'ClientProductionDetail.errnotfoundday'|trans }}");
                        return;
                    }
                    if(data.jobrotation==''){
                        t.messageShow(t,mj.lng.glb.error,"{{ 'ClientProductionDetail.errnotfoundjobrotation'|trans }}");
                        return;
                    }
                    if(data.start_d==null||data.start_t==''){
                        t.messageShow(t,mj.lng.glb.error,"{{ 'ClientProductionDetail.errnotfoundstart'|trans }}");
                        return;
                    }
                    if(data.finish_d==null||data.finish_t==''){
                        t.messageShow(t,mj.lng.glb.error,"{{ 'ClientProductionDetail.errnotfoundfinish'|trans }}");
                        return;
                    }
                    if(t.grids.productions.store.data.length==0){
                        t.messageShow(t,mj.lng.glb.error,"{{ 'ClientProductionDetail.errnotfoundproductions'|trans }}");
                        return;
                    }
                    //if(t.grids.employees.store.data.length==0/*&&t.forms.main.items[5].getValue()==='Operatör'*/){
                    //    t.messageShow(t,mj.lng.glb.error,"{{ 'ClientProductionDetail.errnotfoundemployees'|trans }}");
                    //    return;
                    //}
                    var id = data.id;
                    var versionField = f.getField('version');
                    var version = typeof versionField != "undefined" ? data.version : 0;
                    var mode = id ? 'update' : 'add';
                    var routeName = f.modulename + '-' + mode;
                    var route = Routing.getRoute(routeName);
                    var pagerParams = (t.grids && t.grids.main && t.grids.main.pbar) ? {
                        'pg': t.grids.main.pbar.current,
                        'lm': t.grids.main.pbar.limit
                    } : {};
                    var url = Routing.generate(routeName, id ? mj.apply(pagerParams, {
                        'id': id,
                        'v': version
                    }) : pagerParams);
                    
                    data.menuId = t.id;
                    data.productions=t.grids.productions.store.data;
                    data.employees=t.grids.employees.store.data;
                    if (route && route.methods && route.methods.length>0 && route.methods[0]) {
                        t.waitMaskShow();
                        t._event='save';
                        $.ajax({
                            url: url,
                            method: "POST",
                            headers: { 
                                "Content-Type": "application/json",
                                "X-HTTP-Method-Override": route.methods[0] 
                            },
                            data: JSON.stringify(data),
                            dataType: 'json',
                            success: function(data, textStatus, jqXHR) {
                                t.reset(_f, data);
                                //t.activateTabGrid();
                                //t.waitMaskHide();
                            },
                            error: function(jqXHR, textStatus, errorThrown) {
                                t.waitMaskHide();
                                mj.message({
                                    title: mj.lng.glb.error,
                                    msg: jqXHR.responseJSON.message + "<br>" + jqXHR.responseJSON.file,
                                    type: "error",
                                    html: true
                                });
                            },
                            complete: function(jqXHR, textStatus) {
                                //t.waitMaskHide();
                            }
                        });
                    }
            }
        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
